Package org.eclipse.emf.cdo.server

# Enum Class IStore.RevisionTemporality

java.lang.Object
java.lang.Enum<IStore.RevisionTemporality>
org.eclipse.emf.cdo.server.IStore.RevisionTemporality

All Implemented Interfaces:
  `Serializable`, `Comparable<IStore.RevisionTemporality>`, `java.lang.constant.Constable`

Enclosing interface:
  `IStore`

public static enum IStore.RevisionTemporality extends Enum<IStore.RevisionTemporality>
Enumerates the possible history recording options a `store` can accept.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUDITING`
An indication that the store can work with auditing.
`NONE`
An indication that the store can work without auditing.

## Method Summary

Modifier and Type
Method
Description
`static IStore.RevisionTemporality`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStore.RevisionTemporality[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final IStore.RevisionTemporality NONE
An indication that the store can work without auditing.

### AUDITING

public static final IStore.RevisionTemporality AUDITING
An indication that the store can work with auditing.

## Method Details

### values

public static IStore.RevisionTemporality[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IStore.RevisionTemporality valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null